﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="WHDG.AsyncErrorVB._Default" %>

<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.28, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.28, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.28, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.DataSourceControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form" runat="server">
        <div>
            <ig:WebScriptManager ID="wsm" runat="server"></ig:WebScriptManager>
            <ig:WebHierarchicalDataGrid ID="whdg" runat="server" EnableAjax="false" Height="600px" Width="1000px" DataSourceID="whds" AutoGenerateBands="False" AutoGenerateColumns="False"
                DataKeyFields="CategoryID" DataMember="ParentSQLDataSource_DefaultView" Key="ParentSQLDataSource_DefaultView" OnRowExpanded="whdg_RowExpanded" OnRowIslandDataBound="whdg_RowIslandDataBound">
                <Bands>
                    <ig:Band AutoGenerateColumns="False" DataKeyFields="ProductID" DataMember="ChildSQLDataSource_DefaultView" Key="ChildSQLDataSource_DefaultView">
                        <Columns>
                            <ig:BoundDataField DataFieldName="ProductID" Key="ProductID" Hidden="true">
                                <Header Text="ProductID">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="CategoryID" Key="CategoryID" Hidden="true">
                                <Header Text="CategoryID">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="ProductName" Key="ProductName">
                                <Header Text="ProductName">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="UnitPrice" Key="UnitPrice">
                                <Header Text="UnitPrice">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="QuantityPerUnit" Key="QuantityPerUnit">
                                <Header Text="QuantityPerUnit">
                                </Header>
                            </ig:BoundDataField>
                        </Columns>
                        <Behaviors>
                            <ig:EditingCore EnableInheritance="True">
                                <Behaviors>
                                    <ig:CellEditing>
                                        <ColumnSettings>
                                            <ig:EditingColumnSetting ColumnKey="ProductName" EditorID="whdg_ddp" />
                                            <ig:EditingColumnSetting ColumnKey="QuantityPerUnit" EditorID="whdg_tep" />
                                        </ColumnSettings>
                                    </ig:CellEditing>
                                    <ig:RowEditing>
                                        <ColumnSettings>
                                            <ig:EditingColumnSetting ColumnKey="ProductName" EditorID="whdg_ddp" />
                                            <ig:EditingColumnSetting ColumnKey="QuantityPerUnit" EditorID="whdg_tep" />
                                        </ColumnSettings>
                                    </ig:RowEditing>
                                    <ig:RowAdding>
                                        <ColumnSettings>
                                            <ig:RowAddingColumnSetting ColumnKey="ProductName" EditorID="whdg_ddp" />
                                            <ig:RowAddingColumnSetting ColumnKey="QuantityPerUnit" EditorID="whdg_tep" />
                                        </ColumnSettings>
                                    </ig:RowAdding>
                                </Behaviors>
                            </ig:EditingCore>
                            <ig:RowSelectors>
                            </ig:RowSelectors>
                        </Behaviors>
                    </ig:Band>
                </Bands>
                <EditorProviders>
                    <ig:DropDownProvider ID="whdg_ddp">
                        <EditorControl ClientIDMode="Predictable" DataSourceID="Products" DropDownContainerMaxHeight="200px"
                            EnableAnimations="False" EnableDropDownAsChild="False" runat="server">
                            <DropDownItemBinding TextField="ProductName" ValueField="ProductName" />
                        </EditorControl>
                    </ig:DropDownProvider>
                    <ig:TextEditorProvider ID="whdg_tep">
                        <EditorControl ClientIDMode="Predictable" TextMode="MultiLine" runat="server">
                        </EditorControl>
                    </ig:TextEditorProvider>
                </EditorProviders>
                <Columns>
                    <ig:BoundDataField DataFieldName="CategoryID" Key="CategoryID" Hidden="true">
                        <Header Text="CategoryID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Description" Key="Description">
                        <Header Text="Description">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
            </ig:WebHierarchicalDataGrid>

            <ig:WebHierarchicalDataSource ID="whds" runat="server">
                <DataViews>
                    <ig:DataView ID="ParentSQLDataSource_DefaultView" DataMember="DefaultView" DataSourceID="ParentSQLDataSource" />
                    <ig:DataView ID="ChildSQLDataSource_DefaultView" DataMember="DefaultView" DataSourceID="ChildSQLDataSource" />
                </DataViews>
                <DataRelations>
                    <ig:DataRelation ChildColumns="CategoryID" ChildDataViewID="ChildSQLDataSource_DefaultView" ParentColumns="CategoryID" ParentDataViewID="ParentSQLDataSource_DefaultView" />
                </DataRelations>
            </ig:WebHierarchicalDataSource>

            <asp:SqlDataSource ID="ChildSQLDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                SelectCommand="SELECT [ProductID], [CategoryID], [ProductName], [UnitPrice], [QuantityPerUnit] FROM [Products]"
                UpdateCommand="UPDATE [Products] SET [CategoryID] = @CategoryID, [ProductName] = @ProductName, [UnitPrice] = @UnitPrice, [QuantityPerUnit] = @QuantityPerUnit WHERE [ProductID] = @ProductID"
                InsertCommand="INSERT INTO [Products] ([CategoryID], [ProductName], [UnitPrice], [QuantityPerUnit]) VALUES (@CategoryID, @ProductName, @UnitPrice, @QuantityPerUnit)"
                DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID">
                <DeleteParameters>
                    <asp:Parameter Name="ProductID" Type="Int32" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="CategoryID" Type="Int32" />
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="UnitPrice" Type="Decimal" />
                    <asp:Parameter Name="QuantityPerUnit" Type="String" />
                </InsertParameters>
                <UpdateParameters>
                    <asp:Parameter Name="CategoryID" Type="Int32" />
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="UnitPrice" Type="Decimal" />
                    <asp:Parameter Name="QuantityPerUnit" Type="String" />
                    <asp:Parameter Name="ProductID" Type="Int32" />
                </UpdateParameters>
            </asp:SqlDataSource>

            <asp:SqlDataSource ID="ParentSQLDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                SelectCommand="SELECT [CategoryID], [Description] FROM [Categories]"></asp:SqlDataSource>

            <asp:SqlDataSource ID="Products" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                SelectCommand="SELECT [ProductName] FROM [Products]"></asp:SqlDataSource>
        </div>
    </form>
</body>
</html>